cmake_minimum_required(VERSION 3.8)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
project(QtQMLGraphicsItems)

# Set minimum required version of Qt
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)

# Find the required Qt packages
find_package(Qt6 COMPONENTS Core Quick REQUIRED)

# Add the executable target
set(SOURCES main.cpp main.qml)
qt_add_resources(SOURCES main.qrc)

add_executable(QtQMLGraphicsItems ${SOURCES})

target_include_directories(QtQMLGraphicsItems PUBLIC .)

# Link against the required Qt modules
target_link_libraries(QtQMLGraphicsItems Qt6::Core Qt6::Quick)

